API reference / Assets
List illustrations
GET
/api/v1/illustrations/listParameters
projectIdqueryrequiredstring · uuid
Project ID. generationId is accepted as an alias on project-scoped GET requests.
Request example
Set ALF_API_URL to https://dashboard.applaunchflow.com/api/v1 and ALF_API_KEY to your key. Replace sample IDs with your project’s values.
cURL
curl --request GET \
--url "$ALF_API_URL/illustrations/list?projectId=11111111-1111-4111-8111-111111111111" \
--header "Authorization: Bearer $ALF_API_KEY"Response
Successful JSON responses wrap the result in data, with a request ID in meta.requestId.
illustrationsdatarequiredJSON[]
View response schema
{
"type": "object",
"required": [
"data",
"meta"
],
"properties": {
"data": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"illustrations": {
"type": "array",
"items": {}
}
},
"required": [
"illustrations"
]
},
"meta": {
"type": "object",
"required": [
"requestId"
],
"properties": {
"requestId": {
"type": "string",
"format": "uuid"
}
}
}
}
}Errors & retries
Errors use application/problem+json. Check the stable code and keep requestId when contacting support. Respect Retry-After on 429 responses.